@layer styles {
  .footer-row {
    background: var(--color__alternative);
    margin-top: var(--space--large);
  }

  .footer {
    padding-left: var(--page__margin);
    padding-right: var(--page__margin);
    padding-bottom: var(--space--small);
    padding-top: var(--space--medium);
    max-width: var(--grid-row__max-width);
    margin-left: auto;
    margin-right: auto;
  }

  .footer__column {
    margin-top: var(--space--medium);
  }

  .footer__column:first-child {
    margin-top: 0;
  }

  .footer__heading {
    font-size: 1.4rem;
    font-weight: 400;
    margin-bottom: var(--space--extra-small);
  }

  .footer__link {
    color: var(--color__font);
  }

  .footer__link--block {
    display: block;
    text-decoration: none;
  }

  .footer__link--block:hover {
    text-decoration: underline;
  }

  .footer__image {
    max-width: 200px;
  }

  .footer__created-by {
    color: var(--color__font);
    font-size: 0.7rem;
    text-align: center;
    margin-top: var(--space--medium);
  }

  @media (min-width: 900px) {
    .footer__column {
      margin-top: 0;
    }

    .footer__top {
      display: grid;
      grid-template-columns: repeat(3, minmax(0, 1fr));
      gap: var(--space--medium);
    }
  }
}
